# XmDrawnButton

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmDrawnButton - Motif-compatible widget for graphic area with button behavior

## SYNOPSIS

#include <Xm/DrawnB.h>

XmDrawnButton

XmCreateDrawnButton

## DESCRIPTION

XmDrawnButton

## X RESOURCES

Name | Class | Type | Default | Access

XmNmultiClick | XmCMultiClick | MultiClick | NULL | CSG
XmNpushButtonEnabled | XmCPushButtonEnabled | Boolean | NULL | CSG
XmNshadowType | XmCShadowType | ShadowType | NULL | CSG
XmNactivateCallback | XmCCallback | Callback | NULL | CSG
XmNarmCallback | XmCCallback | Callback | NULL | CSG
XmNdisarmCallback | XmCCallback | Callback | NULL | CSG
XmNexposeCallback | XmCCallback | Callback | NULL | CSG
XmNresizeCallback | XmCCallback | Callback | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNlabelString | XmCXmString | XmString | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG

XmNmultiClick

XmNpushButtonEnabled

XmNshadowType

XmNactivateCallback

XmNarmCallback

XmNdisarmCallback

XmNexposeCallback

XmNresizeCallback

XmNshadowThickness

XmNlabelString

XmNtraversalOn

XmNhighlightThickness

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) XmPrimitive(3) XmLabel(3) XmDrawnButton(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.